rpm 5.2.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
rpmtsObject_s Struct Reference
PYTHON-C Language Bindings.

`#include <python/rpmts-py.h>`

Collaboration diagram for rpmtsObject_s:
[legend]

## Data Fields

PyObject_HEAD PyObject * | md_dict
rpmts | ts
PyObject * | keyList
FD_t | scriptFd
rpmtsi | tsi
rpmElementType | tsiFilter
rpmprobFilterFlags | ignoreSet

## Detailed Description

Definition at line 15 of file rpmts-py.h.

## Field Documentation

rpmprobFilterFlags rpmtsObject_s::ignoreSet

Definition at line 24 of file rpmts-py.h.

Referenced by rpmts_new(), rpmts_Run(), and rpmts_SetProbFilter().

PyObject* rpmtsObject_s::keyList

Definition at line 19 of file rpmts-py.h.

Referenced by rpmts_AddInstall(), rpmts_dealloc(), rpmts_free(), and rpmts_new().

PyObject_HEAD PyObject* rpmtsObject_s::md_dict

to look like PyModuleObject

Definition at line 17 of file rpmts-py.h.

FD_t rpmtsObject_s::scriptFd

Definition at line 20 of file rpmts-py.h.

Referenced by rpmts_dealloc(), rpmts_free(), rpmts_new(), and rpmts_setattro().

rpmts rpmtsObject_s::ts

Definition at line 18 of file rpmts-py.h.

Referenced by rpmts_AddErase(), rpmts_AddInstall(), rpmts_Check(), rpmts_Clean(), rpmts_CloseDB(), rpmts_dealloc(), rpmts_Debug(), rpmts_free(), rpmts_GetVSFlags(), rpmts_HdrCheck(), rpmts_HdrFromFdno(), rpmts_IDTXglob(), rpmts_IDTXload(), rpmts_InitDB(), rpmts_iter(), rpmts_iternext(), rpmts_Match(), rpmts_new(), rpmts_Next(), rpmts_OpenDB(), rpmts_Order(), rpmts_PgpImportPubkey(), rpmts_PgpPrtPkts(), rpmts_Problems(), rpmts_RebuildDB(), rpmts_Rollback(), rpmts_Run(), rpmts_setattro(), rpmts_SetColor(), rpmts_SetDFlags(), rpmts_SetFlags(), rpmts_SetProbFilter(), rpmts_SetVSFlags(), rpmts_VerifyDB(), and spec_Parse().

rpmtsi rpmtsObject_s::tsi

Definition at line 22 of file rpmts-py.h.

Referenced by rpmts_iternext(), and rpmts_new().

rpmElementType rpmtsObject_s::tsiFilter

Definition at line 23 of file rpmts-py.h.

Referenced by rpmts_iternext(), and rpmts_new().

The documentation for this struct was generated from the following file:

- python/rpmts-py.h